libpam-python_1.0.2-1_amd64.deb


Advertisement

Description

libpam-python - Enables PAM modules to be written in Python

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: libpam-python
Package version: 1.0.2
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 95 B
Download size: 25.14 KB
Official Mirror: ftp.br.debian.org
This PAM module runs the Python interpreter, thus allowing PAM modules to be written in Python. As a Python incurs a considerable overhead its intended audience is SysAdmins writing one off PAM modules. If you are doing that, you should probably install the documentation in libpam-python-doc as well.

Alternatives

    Download

    Source package: pam-python

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpam-python deb package:
      # sudo apt-get install libpam-python

    Files

    • /lib/security/pam_python.so
    • /usr/share/doc/libpam-python/README.Debian
    • /usr/share/doc/libpam-python/changelog.Debian.gz
    • /usr/share/doc/libpam-python/changelog.gz
    • /usr/share/doc/libpam-python/copyright

    Changelog

    2012-04-05 - Russell Stuart <russell-debian@stuart.id.au> pam-python (1.0.2-1) unstable; urgency=low * New upstream. * Bumped standards version to 3.9.3.

    2010-12-13 - Russell Stuart <russell-debian@stuart.id.au> pam-python (1.0.1-1) unstable; urgency=low * New upstream incorporating --load-as-needed patch from Ubuntu. (Closes: #606700). * Removed Petter Reinholdtsen from Uploaders at his suggestion.

    2010-07-04 - Russell Stuart <russell-debian@stuart.id.au> pam-python (1.0.0-2) unstable; urgency=low * debian/watch: fixed url.

    2010-06-29 - Russell Stuart <russell-debian@stuart.id.au> pam-python (1.0.0-1) unstable; urgency=low * New upsteam release - documentation format changed to sphinx. (Closes: #582754). * Split into binary and doc packages because documentation now depends on libjs-jquery. * Switch to dpkg-source 3.0 (quilt) format

    2010-05-17 - Petter Reinholdtsen <pere@debian.org> pam-python (0.1.1-2) unstable; urgency=low * Fix rules file to work properly when building arch dependent packages. * Correct clean target in the rules file to make sure unpatching is done after make clean is executed, to make sure the patches are in effect when cleaning is done.

    2010-05-05 - Petter Reinholdtsen <pere@debian.org> pam-python (0.1.1-1) unstable; urgency=low * Initial release based on package from upstream (Closes: #578650). * Drop build depend on latex2html to avoid non-free dependency. * Upgrade from debhelper 5 to 7. * Update standards-version from 3.7.3 to 3.8.4. No changes needed.

    Advertisement
    Advertisement